/*
	bitchxmms
	copyleft 2003 kv9 [Dan Rusanu <mars@sercom.ro>]
	
	$Id: bithxmms.c,v 0.0.1 03/08/2003 07:46:21 kv9 Exp $
	xmms interface binary
*/

#include <stdio.h>
#include <string.h>
#include <xmms/xmmsctrl.h>

int main(int argc,char* argv[]) {
	gchar* track,format;
	int pos,time,min,sec,o_time,o_min,o_sec;
	
	// get the track and time data from xmms
	pos = xmms_remote_get_playlist_pos(0);
	track = basename(xmms_remote_get_playlist_file(0,pos));
	o_time = xmms_remote_get_output_time(0);
	time = xmms_remote_get_playlist_time(0,pos);
	
	// convert milliseconds from output time
	o_sec = (int) (o_time / 1000);
	o_min = (int) o_sec / 60;
	o_sec = o_sec - o_min * 60;
	
	// same for track time
	sec = (int) (time / 1000);
	min = (int) sec / 60;
	sec = sec - min * 60;
	
	// if no args
	if (argc != 2)
		// we use a default output format
		printf("playing: %s [%d:%02d/%d:%02d]",track,o_min,o_sec,min,sec);
	else
		// else we use the one specified
		printf(argv[1],track,o_min,o_sec,min,sec);
		
	printf("\n");
}
